> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1segmentsprogress



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/segments/progress
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/segments/progress:
    post:
      tags:
        - Segments
      operationId: segments.progress
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filter_segment_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                with_dashboards:
                  type: boolean
                audience_feed_ids:
                  type: array
                  items:
                    type: string
                voice_campaign_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                segment_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  contacts_left:
                    type: integer
                  contacts_total:
                    type: integer
                  views:
                    type: array
                    items:
                      $ref: '#/components/schemas/MetabaseData'
                  debug:
                    type: string
                required:
                  - contacts_left
                  - contacts_total
                  - views
                  - debug
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid segment_ids
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    MetabaseData:
      type: object
      properties:
        type:
          type: string
          enum:
            - card
            - dashboard
        target_id:
          type: string
        source_id:
          type: string
      required:
        - type
        - target_id
        - source_id
      title: MetabaseData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````